Skip to main content
DELETE
/
api
/
v1
/
datalake
/
{source}
/
databases
/
{db}
/
variables
Remove variables
curl --request DELETE \
  --url https://ai-loop.alpeadria.com/api/v1/datalake/{source}/databases/{db}/variables \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "variables": [
    "<string>"
  ]
}
'
{
  "statusMessage": "[AILOOP] Variables deleted. 100 documents updated.",
  "deletedCount": 100,
  "deletedFields": [
    "legacy_tracking_id"
  ]
}
Remove specific variables (fields) from all documents in a collection.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

source
string
required
db
string
required

Body

application/json
variables
string[]

Response

200 - application/json

Variables removed successfully.

statusMessage
string
deletedCount
integer
deletedFields
string[]